clear all
close all
clc

% Example on how to read a .doric file using Octave
% By using the load function in Octave it look very similar to the Python script in how it work.

%First set the name of the file that you want to extract the data from in
%this example the file is in the current folder where we have the script
filename = 'Console_Acq_0000.doric'; 


%------------ Automatically------------------------------
%It's possible to use a function that we codded to extract all the data
%automatically. The function is named ExtractDataAcquisition .

Data_Acquired = ExtractDataAcquisition(filename);
for k = 1:length(Data_Acquired)
    figure
    Datatmp = Data_Acquired(k);
    plot(Datatmp.Data(2).Data,Datatmp.Data(1).Data)
    title(Datatmp.Name)
end
%--------------------Manually-----------------------------
%It's also possible to do every thing manually 
%To help you it's possible to display what is inside a .doric file:
% using h5print(filename)

h5print(filename)

SignalIn = h5read(filename,{"DataAcquisition","FPConsole","Signals","Series0001","AnalogIn","AIN01"});
TimeIn = h5read(filename,{"DataAcquisition","FPConsole","Signals","Series0001","AnalogIn","Time"});

figure
plot(TimeIn,SignalIn)